using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ch7_4
{
    class Point : Shape 
    {
        private int x;
        private int y;
        //Default constructor
        public Point()
        {
            //Implicit call to constructor
        }
        public Point(int xValue, int yValue)
        {
            X = xValue;
            Y = yValue;
        }
        public int X
        {
            get
            {
                return x;
            }
            set
            {
                x = value;
            }
        }
        public int Y
        {
            get
            {
                return y;
            }
            set
            {
                y = value;
            }
        }
        public override string ToString()
        {
            return "[" + X + ", " + Y + "]";
        }
        public override string Name
        {
            get
            {
                return "Point";
            }
        }
    }
}
